Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5116)
@@ -249,5 +249,5 @@
 ! Initialisations
 
-     IF (prt_level >= 5) then
+     IF (prt_level >= 5) THEN
         write (*,*) "In add_phys_tend, after ",text
         CALL flush
@@ -255,7 +255,7 @@
 
      ! if flag_inhib_tend != 0, tendencies are not added
-     IF (flag_inhib_tend /= 0) then
+     IF (flag_inhib_tend /= 0) THEN
         ! If requiered, diagnostics are shown
-        IF (flag_inhib_tend > 0) then
+        IF (flag_inhib_tend > 0) THEN
            ! print some diagnostics if xxx_seri have changed
            CALL cmp_seri(flag_inhib_tend,text)
@@ -268,5 +268,5 @@
 
      debug_level=10
-     if (first) then
+     if (first) THEN
         print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
@@ -296,5 +296,5 @@
   END DO
 
-  if (fl_ebil > 0) then
+  if (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -319,5 +319,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -326,5 +326,5 @@
                 xtl_seri,ql_seri, &
                 'add_phys_tend 321b: '//text,ntraciso,klon,klev)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_vect(xt_seri,klon,klev, &
@@ -363,10 +363,10 @@
             qprec(i,k)=q_seri(i,k)
 #endif
-            IF ( zt>370. .or. zt<130. .or. abs(zdt(i,k))>50. ) then
+            IF ( zt>370. .or. zt<130. .or. abs(zdt(i,k))>50. ) THEN
             jbad = jbad + 1
             jadrs(jbad) = i
             kadrs(jbad) = k
             ENDIF
-            IF ( zq<0. .or. zq>0.1 .or. abs(zdq(i,k))>1.e-2 ) then
+            IF ( zq<0. .or. zq>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
             jqbad = jqbad + 1
             jqadrs(jqbad) = i
@@ -385,5 +385,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -392,5 +392,5 @@
                 xtl_seri,ql_seri, &
                 'add_phys_tend 138: '//text,ntraciso,klon,klev)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_vect(xt_seri,klon,klev, &
@@ -410,10 +410,10 @@
       DO j = 1, jbad
          i=jadrs(j)
-         if(prt_level>=debug_level) THEN
+         IF(prt_level>=debug_level) THEN
           PRINT*,'PLANTAGE POUR LE POINT i lon lat =',&
                  i,longitude_deg(i),latitude_deg(i),text
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-             write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+             WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -429,10 +429,10 @@
       DO j = 1, jqbad
         i=jqadrs(j)
-          if(prt_level>=debug_level) THEN
+          IF(prt_level>=debug_level) THEN
            PRINT*,'WARNING  : EAU POUR LE POINT i lon lat =',&
                   i,longitude_deg(i),latitude_deg(i),text
            PRINT*,'l    T     dT       Q     dQ    '
            DO k = 1, klev
-              write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+              WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
            ENDDO
           endif
@@ -464,5 +464,5 @@
               enddo
 #endif
-              if(prt_level>=debug_level) THEN
+              IF(prt_level>=debug_level) THEN
                PRINT*,' cas q_seri<1.e-15 i k zq_int zqp_int zq_int/zqp_int :', &
                                     i, kqadrs(j), zq_int, zqp_int, zq_int/zqp_int
@@ -486,7 +486,7 @@
             DO k = 1, klev
               zq=q_seri(i,k)+zdq(i,k)
-              if (zq<1.e-15) then
-                 if (q_seri(i,k)<1.e-15) then
-                  if(prt_level>=debug_level) THEN
+              if (zq<1.e-15) THEN
+                 if (q_seri(i,k)<1.e-15) THEN
+                  IF(prt_level>=debug_level) THEN
                    PRINT*,' cas q_seri<1.e-15 i k q_seri zq zdq :',i,k,q_seri(i,k),zq,zdq(i,k)
                   endif
@@ -504,5 +504,5 @@
               endif
 !              zq=q_seri(i,k)+zdq(i,k)
-!              if (zq.lt.1.e-15) then
+!              if (zq.lt.1.e-15) THEN
 !                 zdq(i,k)=(1.e-15-q_seri(i,k))
 !              endif
@@ -516,5 +516,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-     if (iso_eau.gt.0) then
+     if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_vect2D( &
                 xt_seri,q_seri, &
@@ -523,5 +523,5 @@
                 zdxt,zdq, &
                         'add_phys_tend 175'//text,ntraciso,klon,klev)
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_vect(xt_seri,klon,klev, &
@@ -536,16 +536,16 @@
       DO k = 1, klev
          DO i = 1, klon
-            IF ( t_seri(i,k)>370. .or. t_seri(i,k)<130. .or. abs(zdt(i,k))>50. ) then
+            IF ( t_seri(i,k)>370. .or. t_seri(i,k)<130. .or. abs(zdt(i,k))>50. ) THEN
             jbad = jbad + 1
             jadrs(jbad) = i
-!            if(prt_level.ge.debug_level) THEN
+!            IF(prt_level.ge.debug_level) THEN
 !             PRINT*,'cas2 i k t_seri zdt',i,k,t_seri(i,k),zdt(i,k)
 !            endif
             ENDIF
-            IF ( q_seri(i,k)<0. .or. q_seri(i,k)>0.1 .or. abs(zdq(i,k))>1.e-2 ) then
+            IF ( q_seri(i,k)<0. .or. q_seri(i,k)>0.1 .or. abs(zdq(i,k))>1.e-2 ) THEN
             jqbad = jqbad + 1
             jqadrs(jqbad) = i
             kqadrs(jqbad) = k
-!            if(prt_level.ge.debug_level) THEN
+!            IF(prt_level.ge.debug_level) THEN
 !             PRINT*,'cas2 i k q_seri zdq',i,k,q_seri(i,k),zdq(i,k)
 !            endif
@@ -557,12 +557,12 @@
          i=jadrs(j)
          k=kadrs(j)
-         if(prt_level>=debug_level) THEN
+         IF(prt_level>=debug_level) THEN
           PRINT*,'PLANTAGE2 POUR LE POINT i itap lon lat txt jbad zdt t',&
                  i,itap,longitude_deg(i),latitude_deg(i),text,jbad, &
                 zdt(i,k),t_seri(i,k)-zdt(i,k)
-!!!       if(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN 
+!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-             write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+             WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -575,12 +575,12 @@
          i=jqadrs(j)
          k=kqadrs(j)
-         if(prt_level>=debug_level) THEN
+         IF(prt_level>=debug_level) THEN
           PRINT*,'WARNING  : EAU2 POUR LE POINT i itap lon lat txt jqbad zdq q zdql ql',&
                  i,itap,longitude_deg(i),latitude_deg(i),text,jqbad,&
                 zdq(i,k), q_seri(i,k)-zdq(i,k), zdql(i,k), ql_seri(i,k)-zdql(i,k)
-!!!       if(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN 
+!!!       IF(prt_level.ge.10.and.itap.GE.229.and.i.EQ.3027) THEN
           PRINT*,'l    T     dT       Q     dQ    '
           DO k = 1, klev
-            write(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
+            WRITE(*,'(i3,2f14.4,2e14.2)') k,t_seri(i,k),zdt(i,k),q_seri(i,k),zdq(i,k)
           ENDDO
           CALL print_debug_phys(i,debug_level,text)
@@ -611,6 +611,5 @@
 !======================================================================
 
-  if (fl_ebil > 0) then
-  
+  if (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -739,5 +738,5 @@
 ! Initialisations
 
-     IF (prt_level >= 5) then
+     IF (prt_level >= 5) THEN
         write (*,*) "In diag_phys_tend, after ",text
         CALL flush
@@ -745,5 +744,5 @@
 
      debug_level=10
-     if (first) then
+     if (first) THEN
         print *,"TestJLD rcpv, rcw, rcs",rcpv, rcw, rcs
         first=.FALSE.
@@ -759,5 +758,5 @@
   END DO
 
-  if (fl_ebil > 0) then
+  if (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -790,6 +789,5 @@
 !======================================================================
 
-  if (fl_ebil > 0) then
-  
+  if (fl_ebil > 0) THEN
     ! ------------------------------------------------
     ! Compute vertical sum for each atmospheric column
@@ -938,6 +936,5 @@
 
 !!print *,'prt_level:',prt_level,' fl_ebil:',fl_ebil,' fl_cor_ebil:',fl_cor_ebil
-IF ( (fl_ebil > 0) .and. (klon == 1)) then
-
+IF ( (fl_ebil > 0) .and. (klon == 1)) THEN
   bilq_bnd = 0.
   bilh_bnd = 0.
@@ -975,5 +972,5 @@
 ! Print diagnostics
 ! =================
-  if ( (bilq_ok == 0).and.(bilh_ok == 0) ) then
+  if ( (bilq_ok == 0).and.(bilh_ok == 0) ) THEN
     status="enerbil-OK"
   else
@@ -981,32 +978,32 @@
   end if
 
-  if ( prt_level >= 3) then
-    write(*,9010) text,status," itap:",itap,"enerbilERROR: Q", bilq_error,"  H", bilh_error
+  if ( prt_level >= 3) THEN
+    WRITE(*,9010) text,status," itap:",itap,"enerbilERROR: Q", bilq_error,"  H", bilh_error
 9010  format (1x,A8,2x,A12,A6,I4,A18,E15.6,A5,E15.6)
   end if
-  if ( prt_level >= 3) then
-    write(*,9000) text,"enerbil: Q,H,KE budget", d_qt_col(1), d_h_col(1),d_ek_col(1)
+  if ( prt_level >= 3) THEN
+    WRITE(*,9000) text,"enerbil: Q,H,KE budget", d_qt_col(1), d_h_col(1),d_ek_col(1)
   end if
-  if ( prt_level >= 5) then
-    write(*,9000) text,"enerbil at boundaries: Q, H",bilq_bnd, bilh_bnd
-    write(*,9000) text,"enerbil: water budget",d_qt_col(1),d_qw_col(1),d_ql_col(1),d_qs_col(1), d_qbs_col(1)
-    write(*,9000) text,"enerbil: enthalpy budget",d_h_col(1),d_h_dair_col(1),d_h_qw_col(1),d_h_ql_col(1),d_h_qs_col(1),d_h_qbs_col(1)
+  if ( prt_level >= 5) THEN
+    WRITE(*,9000) text,"enerbil at boundaries: Q, H",bilq_bnd, bilh_bnd
+    WRITE(*,9000) text,"enerbil: water budget",d_qt_col(1),d_qw_col(1),d_ql_col(1),d_qs_col(1), d_qbs_col(1)
+    WRITE(*,9000) text,"enerbil: enthalpy budget",d_h_col(1),d_h_dair_col(1),d_h_qw_col(1),d_h_ql_col(1),d_h_qs_col(1),d_h_qbs_col(1)
   end if
 
   specific_diag: SELECT CASE (text)
   CASE("vdf") specific_diag
-    if ( prt_level >= 5) then
-      write(*,9000) text,"enerbil: d_h, bilh, sens,t_seri", d_h_col(1), bilh_bnd, sens(1), t_seri(1,1)
-      write(*,9000) text,"enerbil: d_h_col_vdf, f_h, diff",d_h_col_vdf, f_h_bnd, bilh_bnd-sens(1)
+    if ( prt_level >= 5) THEN
+      WRITE(*,9000) text,"enerbil: d_h, bilh, sens,t_seri", d_h_col(1), bilh_bnd, sens(1), t_seri(1,1)
+      WRITE(*,9000) text,"enerbil: d_h_col_vdf, f_h, diff",d_h_col_vdf, f_h_bnd, bilh_bnd-sens(1)
     end if
   CASE("lsc") specific_diag
-    if ( prt_level >= 5) then
-      write(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_lsc(1), rlvtt * rain_lsc(1), -(rcw-rcpd)*t_seri(1,1) * rain_lsc(1)
-      write(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_lsc(1), rlstt * snow_lsc(1), -(rcs-rcpd)*t_seri(1,1) * snow_lsc(1)
+    if ( prt_level >= 5) THEN
+      WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_lsc(1), rlvtt * rain_lsc(1), -(rcw-rcpd)*t_seri(1,1) * rain_lsc(1)
+      WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_lsc(1), rlstt * snow_lsc(1), -(rcs-rcpd)*t_seri(1,1) * snow_lsc(1)
     end if
   CASE("convection") specific_diag
-    if ( prt_level >= 5) then
-      write(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_con(1), rlvtt * rain_con(1), -(rcw-rcpd)*t_seri(1,1) * rain_con(1)
-      write(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_con(1), rlstt * snow_con(1), -(rcs-rcpd)*t_seri(1,1) * snow_con(1)
+    if ( prt_level >= 5) THEN
+      WRITE(*,9000) text,"enerbil: rain, bil_lat, bil_sens", rain_con(1), rlvtt * rain_con(1), -(rcw-rcpd)*t_seri(1,1) * rain_con(1)
+      WRITE(*,9000) text,"enerbil: snow, bil_lat, bil_sens", snow_con(1), rlstt * snow_con(1), -(rcs-rcpd)*t_seri(1,1) * snow_con(1)
     end if
   END SELECT specific_diag
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_wake_tend.F90	(revision 5116)
@@ -44,5 +44,5 @@
 
 
-     IF (prt_level >= 5) then
+     IF (prt_level >= 5) THEN
         write (*,*) "In add_wake_tend, after ",text
         CALL flush
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/ajsec.F90	(revision 5116)
@@ -63,8 +63,8 @@
       do i=1,klon
          do k=1,klev         
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(q(i,k),xt(iso_eau,i,k), &
                  'ajsec 67',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
+           endif !if (iso_eau.gt.0) THEN
          enddo !do k=limbas,limhau
       enddo !do i=1,klon
@@ -136,8 +136,8 @@
         enddo    
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(qm,xtm(iso_eau), &
                  'ajsec 126',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then      
+        endif !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -152,8 +152,8 @@
         enddo    
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(qm,xtm(iso_eau), &
                  'ajsec 136',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then      
+        endif !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -198,8 +198,8 @@
              CALL iso_verif_noNaN(zxt(ixt,i,k),'ajsec 173')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(zq(i,k),zxt(iso_eau,i,k), &
                  'ajsec 168',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
+           endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC      
            CALL iso_verif_traceur(zxt(1,i,k),'ajsec 181')
@@ -228,5 +228,5 @@
       do i = 1, klon
         do k = 1, limhau
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(d_q(i,k),d_xt(iso_eau,i,k), &
                 'ajsec 198',errmax,errmaxrel)
@@ -280,5 +280,5 @@
       do i = 1, klon
         do k = 1, klev
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(d_q(i,k),d_xt(iso_eau,i,k),'ajsec 270')
          endif
@@ -361,8 +361,8 @@
              CALL iso_verif_noNAN(xt(ixt,i,k),'ajsec 320')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(q(i,k),xt(iso_eau,i,k), &
                  'ajsec 324',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
+           endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC      
            CALL iso_verif_traceur(xt(1,i,k),'ajsec 327')
@@ -490,8 +490,8 @@
              CALL iso_verif_noNAN(zxt(ixt,i,k),'ajsec 428')
            enddo !do ixt=1,niso           
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(zq(i,k),zxt(iso_eau,i,k), &
                  'ajsec 432',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then
+           endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC      
            CALL iso_verif_traceur(zxt(1,i,k),'ajsec 436')
@@ -563,5 +563,5 @@
       do i = 1, klon
         do k = limbas, limhau
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(d_q(i,k),d_xt(iso_eau,i,k),'ajsec 270')
          endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5116)
@@ -258,8 +258,8 @@
 #ifdef ISOVERIF
 ! verif des inputs des wakes
-        write(*,*) 'calwake 257: verif des inputs des wakes'
-  DO l = 1, klev
-    DO i = 1, klon
-      if (iso_eau.gt.0) then
+        WRITE(*,*) 'calwake 257: verif des inputs des wakes'
+  DO l = 1, klev
+    DO i = 1, klon
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(qe(i,l),xte(iso_eau,i,l),'calwake 261a')
         CALL iso_verif_egalite(dqa(i,l),dxta(iso_eau,i,l),'calwake 261b')
@@ -288,8 +288,8 @@
 #ifdef ISOVERIF
 ! verif des ouputs des wakes
-        write(*,*) 'calwake 286: verif des outputs des wakes'
-  DO l = 1, klev
-    DO i = 1, klon
-      if (iso_eau.gt.0) then
+        WRITE(*,*) 'calwake 286: verif des outputs des wakes'
+  DO l = 1, klev
+    DO i = 1, klon
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(dqls(i,l),dxtls(iso_eau,i,l),'calwake 290a')
         CALL iso_verif_egalite(qx(i,l),xtx(iso_eau,i,l),'calwake 290b')
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/clift.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/clift.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/clift.F90	(revision 5116)
@@ -42,6 +42,6 @@
 
   include "YOMCST.h"
-  real :: p,t,rr,rs,plcl,dplcldt,dplcldq,cpd,cpv,cl,cpvmcl,eps,alv0,a,b
-  real :: rh,chi,alv
+  REAL :: p,t,rr,rs,plcl,dplcldt,dplcldq,cpd,cpv,cl,cpvmcl,eps,alv0,a,b
+  REAL :: rh,chi,alv
 
   cpd = rcpd
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5116)
@@ -132,5 +132,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-   if (iso_eau.gt.0) then
+   if (iso_eau.gt.0) THEN
        do k = 1, klev
           DO i = 1, knon
@@ -140,5 +140,5 @@
           enddo
        enddo
-   endif ! if (iso_eau.gt.0) then
+   endif ! if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -315,5 +315,5 @@
        enddo ! do ixt=1,ntraciso
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          do k = 1, klev
           DO i = 1, knon
@@ -334,5 +334,5 @@
                         'climb_hq 234b',errmax,errmaxrel)
          enddo !DO i = 1, knon
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif
 #endif  
@@ -571,5 +571,5 @@
        DO k = 1, klev
         DO i = 1, knon  
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(xt_old(iso_eau,i,k), &
                q_old(i,k),'climb_hq_mod 421')
@@ -674,11 +674,11 @@
        DO i = 1, knon     
         do ixt=1,ntraciso
-         if (iso_verif_noNaN_nostop(xt_new(ixt,i,k),'climb_hq 507').eq.1) then
-             write(*,*) 'Acoef_XT(ixt,i)=',Acoef_XT(ixt,i)
-             write(*,*) 'Bcoef_XT(ixt,i)=',Bcoef_XT(ixt,i)
-             write(*,*) 'flx_xt1(ixt,i)=',flx_xt1(ixt,i)
-             if (k.ge.2) then
-               write(*,*) 'Ccoef_XT(ixt,i,k)=',Ccoef_XT(ixt,i,k)
-               write(*,*) 'Dcoef_XT(ixt,i,k)=',Dcoef_XT(ixt,i,k)
+         if (iso_verif_noNaN_nostop(xt_new(ixt,i,k),'climb_hq 507').eq.1) THEN
+             WRITE(*,*) 'Acoef_XT(ixt,i)=',Acoef_XT(ixt,i)
+             WRITE(*,*) 'Bcoef_XT(ixt,i)=',Bcoef_XT(ixt,i)
+             WRITE(*,*) 'flx_xt1(ixt,i)=',flx_xt1(ixt,i)
+             if (k.ge.2) THEN
+               WRITE(*,*) 'Ccoef_XT(ixt,i,k)=',Ccoef_XT(ixt,i,k)
+               WRITE(*,*) 'Dcoef_XT(ixt,i,k)=',Dcoef_XT(ixt,i,k)
              endif
              stop
@@ -689,24 +689,24 @@
 #endif
 #ifdef ISOVERIF
-     if (iso_eau.gt.0) then
+     if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_vect2D( &
                  xt_new,q_new, &
                  'climb_hq_mod 504',ntraciso,klon,klev)
-     endif !if (iso_eau.gt.0) then
-     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then  
+     endif !if (iso_eau.gt.0) THEN
+     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_new(i,k).gt.ridicule) then  
+            if (q_new(i,k).gt.ridicule) THEN
                if (iso_verif_o18_aberrant_nostop( &
                     xt_new(iso_HDO,i,k)/q_new(i,k), &
                     xt_new(iso_O18,i,k)/q_new(i,k), &
-                    'climb_hq_mod 690').eq.1) then
-                  write(*,*) 'i,k,q_new(i,k)=',i,k,q_new(i,k)                       
+                    'climb_hq_mod 690').eq.1) THEN
+                  WRITE(*,*) 'i,k,q_new(i,k)=',i,k,q_new(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop 
-            endif !if (q_seri(i,k).gt.errmax) then   
+            endif !if (q_seri(i,k).gt.errmax) THEN
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then   
+        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
 #endif   
@@ -770,5 +770,5 @@
 #endif
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(d_xt(iso_eau,i,k), &
                d_q(i,k),'climb_hq_mod 503')
@@ -786,6 +786,6 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!        write(*,*) 'climb_hq_mod 758: d_xt,d_q=',d_xt(iso_eau,1,1),d_q(1,1)
-        if (iso_eau.gt.0) then
+!        WRITE(*,*) 'climb_hq_mod 758: d_xt,d_q=',d_xt(iso_eau,1,1),d_q(1,1)
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_vect2D( &
                 d_xt,d_q, &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5116)
@@ -54,5 +54,5 @@
 #endif
 #ifdef ISOTRAC
-      USE isotrac_routines_mod, only: iso_verif_traceur_jbid_vect
+      USE isotrac_routines_mod, ONLY: iso_verif_traceur_jbid_vect
 #ifdef ISOVERIF
       USE isotopes_verif_mod, ONLY: iso_verif_traceur_vect, &
@@ -476,5 +476,5 @@
         enddo !do i = 1, klon
        enddo !do k = 1, klev       
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
        do k = 1, klev
         do i = 1, klon   
@@ -483,14 +483,14 @@
         enddo !do i = 1, klon
        enddo !do k = 1, klev   
-       endif !if (iso_eau.gt.0) then
-       if (iso_HDO.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
+       if (iso_HDO.gt.0) THEN
        do k = 1, klev
         do i = 1, klon         
-         if (q(i,k).gt.ridicule) then 
+         if (q(i,k).gt.ridicule) THEN
           CALL iso_verif_aberrant(xt(iso_hdo,i,k)/q(i,k),'concvl 175')
-         endif ! if (q(i,k).gt.ridicule) then 
+         endif ! if (q(i,k).gt.ridicule) THEN
         enddo
        enddo   
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         do k = 1, klev
@@ -500,5 +500,5 @@
         enddo
 #endif       
-       write(*,*) 'concvl 170: avant appel cv_driver'
+       WRITE(*,*) 'concvl 170: avant appel cv_driver'
 #endif
         ! ISOVERIF ! end verif       
@@ -534,13 +534,13 @@
       ! verif
 #ifdef ISOVERIF
-       write(*,*) 'concvl 463: après appel cv_driver'
+       WRITE(*,*) 'concvl 463: après appel cv_driver'
        do k = 1, klev
         do i = 1, klon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xt(iso_eau,i,k),q(i,k),'concvl 203')
             CALL iso_verif_egalite(xt_wake(iso_eau,i,k),q_wake(i,k),'concvl 204')
             CALL iso_verif_egalite(d_xt(iso_eau,i,k),d_q(i,k), &
                   'concvl 452')
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 #ifdef DIAGISO
          do ixt=1,ntraciso
@@ -577,5 +577,5 @@
     nloc = klon
 #ifdef ISOVERIF
-        write(*,*) 'concvl 581: juste avant appel de cva_driver'
+        WRITE(*,*) 'concvl 581: juste avant appel de cva_driver'
 #endif
     CALL cva_driver(klon, klev, klev+1, ntra, nloc, k_upper_cv, &
@@ -647,20 +647,20 @@
 !        k=1
 !        i=  538
-        write(*,*) 'concvl 640'
-!        write(*,*) 'q(i,k),d_q(i,k)=', q(i,k),d_q(i,k)
-!        write(*,*) 'xt(iso_HDO,i,k),d_xt(iso_HDO,i,k)=', &
+        WRITE(*,*) 'concvl 640'
+!        WRITE(*,*) 'q(i,k),d_q(i,k)=', q(i,k),d_q(i,k)
+!        WRITE(*,*) 'xt(iso_HDO,i,k),d_xt(iso_HDO,i,k)=', &
 !     &          xt(iso_HDO,i,k),d_xt(iso_HDO,i,k)
   DO k = 1, klev
     DO i = 1, klon
-           if (iso_HDO.gt.0) then 
-             if (q(i,k).gt.ridicule) then
+           if (iso_HDO.gt.0) THEN
+             if (q(i,k).gt.ridicule) THEN
                  CALL iso_verif_aberrant_encadre((xt(iso_HDO,i,k) &
               +d_xt(iso_HDO,i,k))/(q(i,k)+d_q(i,k)),'concvl 250')
-             endif !if (q_seri(i,k).gt.ridicule) then
-          endif !if (iso_HDO.gt.0) then 
-           if (iso_eau.gt.0) then 
+             endif !if (q_seri(i,k).gt.ridicule) THEN
+          endif !if (iso_HDO.gt.0) THEN
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(d_xt(iso_eau,i,k), &
                 d_q(i,k),'concvl 530',errmax*dtime,errmaxrel)
-          endif !if (iso_HDO.gt.0) then 
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur_justmass(d_xt(1,i,k),'concvl 316')
@@ -672,5 +672,5 @@
 
 #ifdef ISO 
-      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then
+      if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
         do k=1,klev   
         do i=1,klon
@@ -682,5 +682,5 @@
                   klon,klev)
 #endif          
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) then  
+      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
 #endif
 
